`timescale 1ns / 1ps

// perc:msodperc szmll modul
module cntr_min_sec(
   input  wire       clk,        // rajel
   input  wire       rst,        // Reset jel
   
   output wire [3:0] sec_ones,   // Msodperc, 1-es helyirtk
   output wire [3:0] sec_tens,   // Msodperc, 10-es helyirtk
   output wire [3:0] min_ones,   // Perc, 1-es helyirtk
   output wire [3:0] min_tens    // Perc, 10-es helyirtk
);

wire sec_en;
wire [3:0] cntr_tc;


// msodperc peridusideju engedlyezo jel
cntr_m16m sec_en_i(
   .clk             (clk),
   .rst             (rst),
   .en              (1'b1),
   .tc              (sec_en)
);

// msodperc egyes helyirtk
cntr_m10 sec_ones_i(
   .clk             (clk),
   .rst             (rst),
   .en              (...),
   .q               (sec_ones),
   .tc              (...)
);

// msodperc tizes helyirtk
cntr_m6 sec_tens_i(
   .clk             (clk),
   .rst             (rst),
   .en              (...),
   .q               (sec_tens),
   .tc              (...)
);

// perc egyes helyirtk
cntr_m10 min_ones_i(
   .clk             (clk),
   .rst             (rst),
   .en              (...),
   .q               (min_ones),
   .tc              (...)
);

// msodperc tizes helyirtk
cntr_m6 min_tens_i(
   .clk             (clk),
   .rst             (rst),
   .en              (...),
   .q               (min_tens),
   .tc              (...)
);

endmodule
